## wmaker 0.14.1

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/88 1995/12/08 16:33:13 gildea $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl /main/r61_main/3 1996/02/02 18:57:32 gildea $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.27 1996/09/14 13:05:02 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/22 1995/12/05 16:39:53 mor $
# $XFree86: xc/config/cf/Imake.cf,v 3.28 1996/10/16 14:28:24 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample /main/19 1995/12/14 13:03:29 matt $
# site:  $XFree86: xc/config/cf/site.def,v 3.10 1996/01/07 09:57:49 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.91 1996/10/19 15:12:30 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf /main/18 1996/02/02 18:59:31 gildea $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.49 1996/10/19 15:12:28 dawes Exp $

# $XConsortium: lnxLib.rules /main/12 1996/01/03 14:51:18 kaleb $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.24 1996/10/06 13:09:44 dawes Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.117 1996/10/19 15:12:31 dawes Exp $

# $XConsortium: xfree86.cf /main/17 1996/01/03 14:50:55 kaleb $

LINKKITDIR = $(USRLIBDIR)/Server
XF98LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers
  S3VDRIVERSRC = $(XF86SRC)/accel/s3_virge/drivers

       XF68SRC = $(SERVERSRC)/hw/xfree68
    XF68COMSRC = $(XF68SRC)/common
 XF68CONFIGSRC = $(XF68COMSRC)
     XF68OSSRC = $(XF68SRC)/os-support

           XF98SRC = $(SERVERSRC)/hw/xfree98
      XF98ACCELSRC = $(XF98SRC)/accel
        XF98COMSRC = $(XF98SRC)/common
     XF98CONFIGSRC = $(XF98COMSRC)
         XF98HWSRC = $(XF98SRC)/common_hw/generic
      XF98HWNECSRC = $(XF98SRC)/common_hw/nec
    XF98HWPWSKBSRC = $(XF98SRC)/common_hw/pwskb
     XF98HWPWLBSRC = $(XF98SRC)/common_hw/pwlb
    XF98HWGA968SRC = $(XF98SRC)/common_hw/ga968
         XF98OSSRC = $(XF98SRC)/os-support
  XF98VGADRIVERSRC = $(XF98SRC)/vga256/drivers
XF98VGA16DRIVERSRC = $(XF98SRC)/vga16/drivers
 XF98VGA2DRIVERSRC = $(XF98SRC)/vga2/drivers
 XF98MONODRIVERSRC = $(XF98SRC)/mono/drivers
XF98NECS3DRIVERSRC = $(XF98SRC)/accel/s3nec/drivers
XF98PWSKBDRIVERSRC = $(XF98SRC)/accel/s3pwskb/drivers
 XF98PWLBDRIVERSRC = $(XF98SRC)/accel/s3pwlb/drivers
XF98GA968DRIVERSRC = $(XF98SRC)/accel/s3ga968/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.15 1996/09/24 13:48:46 dawes Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample /main/19 1995/12/14 13:03:29 matt $
# site:  $XFree86: xc/config/cf/site.def,v 3.10 1996/01/07 09:57:49 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules /main/208 1996/01/17 11:08:27 kaleb $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.27 1996/09/01 04:12:46 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
        VARLIBDIR = /var/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = c++
    CXXDEBUGFLAGS = -O2 -fno-strength-reduce -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_SVID_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS = -Wl,-rpath,$(SHLIBDIR)
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -fno-strength-reduce -m486
        CCOPTIONS =

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

# Not sure this belongs here
         TKLIBDIR = /usr/local/lib
         TKINCDIR = /usr/local/include
        TKLIBNAME = tk4.2
        TKLIBRARY = -ltk4.2
        TCLLIBDIR = /usr/local/lib
        TCLINCDIR = /usr/local/include
       TCLLIBNAME = tcl7.6
       TCLLIBRARY = -ltcl7.6

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl /main/r61_main/6 1996/01/15 12:26:59 gildea $
# $XFree86: xc/config/cf/Project.tmpl,v 3.34 1996/10/03 08:28:05 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.9 1996/02/24 04:32:52 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.1
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV = 6.1
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

    XSSLIBSRC = $(LIBSRC)/Xss

DEPXSSLIB = $(USRLIBDIR)/libXss.a
XSSLIB =  -lXss

LINTXSS = $(LINTLIBDIR)/llib-lXss.ln

    XXF86MISCLIBSRC = $(LIBSRC)/Xxf86misc

DEPXXF86MISCLIB = $(USRLIBDIR)/libXxf86misc.a
XXF86MISCLIB =  -lXxf86misc

LINTXXF86MISC = $(LINTLIBDIR)/llib-lXxf86misc.ln

    XXF86VMLIBSRC = $(LIBSRC)/Xxf86vm

DEPXXF86VMLIB = $(USRLIBDIR)/libXxf86vm.a
XXF86VMLIB =  -lXxf86vm

LINTXXF86VM = $(LINTLIBDIR)/llib-lXxf86vm.ln

    XXF86DGALIBSRC = $(LIBSRC)/Xxf86dga

DEPXXF86DGALIB = $(USRLIBDIR)/libXxf86dga.a
XXF86DGALIB =  -lXxf86dga

LINTXXF86DGA = $(LINTLIBDIR)/llib-lXxf86dga.ln

     EXTENSIONLIB = $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

=== test/Makefile ===
all: memtest

install:

clean:
	rm -f memtest *.o

memtest: memtest.o ../libPropList.a
	gcc -o memtest -L.. memtest.o -lPropList

../libPropList.a:
	make -C ..

%.o: %.c
	gcc -g -c -I.. -o $@ $<

## wmaker 0.95.0%2b20111028

=== debian/changelog ===
wmaker (0.95.0+20111028-4) unstable; urgency=low

  * libpng12-dev dependencies changed to libpng-dev. [Closes: #648123]
  * wterm package suggestion removed. 
  * Menu shows "Run..." option. [Closes: #165075]
    Thanks to Andreas Tscharner for their patch.
  * Menu shows the background files [Closes: #655122]
    * Added patch 54_Debian_wmmacros.diff.
      Based on changelog: Marcelo E. Magallon Tue, 17 Nov 1998
  * Xterm and WMPrefs are now Debian specific.
    * Added patch 53_Debian_WMState.diff.
      Based on changelog: Marcelo E. Magallon Sun, 26 Nov 2000

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 7 Jan 2012 02:06:33 +0100

wmaker (0.95.0+20111028-3) unstable; urgency=low

  * Fix wmaker-common dependencies. [Closes: #654668]
    * Manpages moved from wmaker-common to wmaker (Lintian problem).
  * New patch 52_architectures: New architectures kfreebsd* and Hurd.
    [Closes: #654715]
  * Removed old stuff in wmaker.post* and wmaker-common.post* about
    update-alternatives.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 5 Jan 2012 01:02:21 +0100

wmaker (0.95.0+20111028-2) unstable; urgency=low

  * Fix to the FTBFS. [Closes: #654524]
  * New debian/watch file

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Wed, 4 Jan 2012 00:03:22 +0100

wmaker (0.95.0+20111028-1) unstable; urgency=low

  * New upstream version 0.95.0, now from git. [Closes: #401900]
    [Closes: #514438, #607550, #218110, #583734, #105351, #549157]
    [Closes: #283610, #311563, #310285, #329783, #280819, #284048]
    [Closes: #292391, #361241, #364290, #148370, #287459, #122076]
    [Closes: #175503, #79598, #78088, #68381, #38184, #41434, #41434]
    [Closes: #94960, #39543, #63265, #69499, #94446, #77488, #329783]
    Thanks to Andreas Tscharner for their bug revision.
    * This new version is based in wmaker-crm a wmaker fork, because
      wmaker (original) is not updated.
  * New debian/rules file. [Closes: #590244]
    * Many many changes
    * /usr/lib/WindowMaker/WindowMaker is now /usr/lib/WindowMaker/wmaker
      * wmaker script launch now /usr/lib/WindowMaker/wmaker
  * New maintainer. [Closes: #632875]
  * New package wmaker-common (arch independent files).
  * Removed the asclock diversions from the wmaker install scripts
    wmaker.postrm and wmaker.preinst because asclock binary is not
    included in wmaker package (see asclock package).
  * New package wmaker-common with the arch independent files.
  * debian/patches are now DEP-3.
  * debian/copyright is now DEP-5.
  * Bumped Standars-Version 3.9.2.
  * Manpages moved to upstream.
  * Solved problems with .la files (lintian clean).
  * libwmaker0-dev isn't included, because was removed in upstream.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 1 Jan 2012 20:24:32 +0100

wmaker (0.92.0-9) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA team.
  * debian/patches/90_binutils_gold.diff
    - Fix FTBFS from indirect linking to X11 in debian/control
      (Closes: #556677)
  * Debian S-V 3.9.2, no changes

 -- Scott Howard <showard@debian.org>  Fri, 16 Dec 2011 19:30:17 -0500

wmaker (0.92.0-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping la files. Closes: #633289.
  * Use dh_clean instead of dh_prep in the clean target to stop shipping
    temporary debhelper files.

 -- Regis Boudin <regis@debian.org>  Tue, 20 Sep 2011 19:55:32 +0100

wmaker (0.92.0+git-0) unstable; urgency=low

  * Add libxmu-dev to build-depends. (Martin Dietze)
  * Pulled from 0.92.0-8.2 NMU:
    + Add ${misc:Depends} to all package dependencies. (Lintian
      debhelper-but-no-misc-depends)
    + [debian/control] Move homepage from description text to homepage
      field. (Lintian description-contains-homepage)
    + Use dh_prep instead of "dh_clean -k" (dh-clean-k-is-deprecated). However
      do not replace instances of dh_clean without -k option. Closes: #590244
    + Build-Depend on debhelper 7.
    + Use ${binary:Version} instead of deprecated ${Source-Version}
      (substvar-source-version-is-deprecated).
  * Invoke ./configure mit correct --build argument, as per
     /usr/share/doc/autotools-dev/README.Debian.gz.
  * Remove ./libtool on clean, otherwise it is not possible build twice from
    the same unpacked sourcetree.
  * Use dpkg-source v3 instead of home-grown patch system.
  * Polish build system:
    + Drop dead code from debian/rules.
    + Stop generating debian/*.files dynamically. (These  should not change
      without notice.)
    + Use dh_lintian.
    + Move argument lists for dh_link and dh_installman to files in debian/*
      instead of invoking dh_* multiple times with different arguments.
    + Reorder dh_* invocation, dh_installdeb needs to run after dh_makeshlibs
      (thanks, lintian).
  * New upstream generates dynamic libraries of libWUtils and libWINGs, ship
    them in two new binary packages. Make libwings-dev depend on them.
  * Use latest automake (instead of automake1.4) for building. Closes: #549157
  * Implement the switch from SelectWindowsMouseButton et al. to
    MouseLeftButtonAction = SelectWindows from WindowMaker 0.65 in Debian's
    customized defaults. Closes: #116963
  * Add libxrandr-dev to build-depends, enabling automatic wmaker restart on
    resolution changes.
  * Built from wmaker-crm fork.
    Includes these patches for these issues:
    + display corruption on non 24bpp displays. Closes: #514438
    + putty in wine crashes wmaker. Closes: #401900
    + segfault on missing rgb.txt (WINGs does not require rgb.txt anymore git
      577b3ee9492b5e26e6fdabb4059ead7428f09864) Closes: #364290
    + wmsetbg crashing on big png images. (Fixed by git
      2ccc8e4a79a3179454d82b9acc574135ea6369a4, switching from alloca to
      calloc - wrlib/png.c) Closes: #148370
    + Fix compilation with LDFLAGS=-Wl,--no-add-needed  Closes: #556677
  * Provide detached debugging symbols in wmaker-dbg package.
  * Build-depend on automake 1.11 or later.


=== debian/control ===
Source: wmaker
Section: x11
Priority: optional
Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7.0.50~), automake (>= 1:1.11), gettext,
 libfontconfig1-dev, libjpeg-dev, libpng-dev, libsm-dev, libtiff4-dev,
 libtool, libgif-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev,
 libxkbfile-dev, libxpm-dev, libxt-dev, libxrender-dev, sharutils, libxmu-dev,
 libxrandr-dev, dctrl-tools, autotools-dev
Homepage: http://windowmaker.org/

Package: wmaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wmaker-common (>= 0.95.0+20111028-3)
Provides: x-window-manager
Suggests: wmaker-data, menu, x11-apps, xosview, x-terminal-emulator, desktop-base
Description: NeXTSTEP-like window manager for X
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker is not
 overloaded with features, and it is easier to configure than most other window
 managers. Its final goal is to produce a window manager that doesn't require
 editing of configuration files. Window Maker is fast and doesn't require tons
 of memory to run.

Package: wmaker-common
Architecture: all
Depends: ${misc:Depends}
Suggests: wmaker
Replaces: wmaker (<< 0.95.0+20111028-3)
Breaks: wmaker (<< 0.95.0+20111028-3)
Description: Window Maker - Architecture independent files
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker is not
 overloaded with features, and it is easier to configure than most other window
 managers. Its final goal is to produce a window manager that doesn't require
 editing of configuration files. Window Maker is fast and doesn't require tons
 of memory to run.
 .
 This package contains the architecture independent files.

Package: libwraster3-dev
Architecture: any
Section: libdevel
Depends: libwraster3 (= ${binary:Version}), libc6-dev, libx11-dev,
 libxext-dev, libxpm-dev, libjpeg-dev, libpng-dev, libgif-dev,
 libtiff4-dev, ${misc:Depends}
Provides: libwraster-dev
Description: Static libraries and headers of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available
 .
 Contains libwraster and header files, for manipulating and
 rasterizing images.

Package: libwraster3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Shared libraries of Window Maker rasterizer
 This library is used to manipulate images and convert them to
 a format that can be displayed through the X window system.
 Read the wraster.h header for an idea of what is available


Package: libwings-dev
Architecture: any
Section: libdevel
Depends: libc6-dev, libx11-dev, libxext-dev, libwraster3-dev, libxft-dev,
 libfontconfig1-dev, libwutil2 (= ${binary:Version}),
 libwings2 (= ${binary:Version}), ${misc:Depends}
Description: Window Maker's own widget set
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.

Package: libwutil2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker's own widget set - utility library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWUtils runtime library.

Package: libwings2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker's own widget set - runtime library
 WINGs Is Not GNUstep (WINGs) is a small widget set with the NeXTSTEP
 look and feel. Its API is inspired in OpenSTEP and its
 implementation borrows some ideas from Tk. It has a reasonable set of
 widgets, sufficient for building small applications like a CDPlayer
 or hacking something like rxvt. It is used for basic widgets in
 the WindowMaker window manager.
 .
 This package contains the libWINGs runtime library.

Package: wmaker-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libwraster3 (= ${binary:Version}) | libwings2 (= ${binary:Version}) |
 libwutil2 (= ${binary:Version}) | wmaker (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for WindowMaker packages
 Written by Alfredo Kojima almost from scratch, resembles the NeXTStep look
 very closely, and it is now an official GNU project. Window Maker is not
 overloaded with features, and it is easier to configure than most other window
 managers. Its final goal is to produce a window manager that doesn't require
 editing of configuration files. Window Maker is fast and doesn't require tons
 of memory to run.
 .
 This package contains debugging symbols for Window Maker and its core
 libraries (libWINGs, libWutils, libwraster).

## wmaker 0.95.0+20111028

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

CFLAGS = -g -Wall -DGLOBAL_DEFAULTS_SUBDIR="\\\"GNUstep/Defaults\\\""

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -DDEBUG
endif

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
export DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	HOSTSPEC := --build $(DEB_HOST_GNU_TYPE)
else
	HOSTSPEC := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

LINGUAS           := $(patsubst po/%.po, %, $(wildcard po/*.po))

WMAKER_OPTIONS := --disable-locale --enable-modelock --enable-xinerama $(HOSTSPEC)
#not-enabled      --enable-usermenu --disable-shape --disable-shm --enable-xrandr
#not-enabled      --disable-xpm --disable-png --disable-jpeg --disable-gif --disable-tiff

# Debian packages destination folders
DEBIAN_TMP        := debian/tmp
DEBDIR_FILES      := debian/debianfiles
LIBWRASTERDEV_TMP := debian/libwraster3-dev
LIBWINGSDEV_TMP   := debian/libwings-dev

# Be careful with the leading / because some of these values are going
# to be hardcoded into the executables
BASEDIR           := /usr
CONFDIR           := /etc
INCLUDEDIR        := $(BASEDIR)/include
SHAREDIR          := $(BASEDIR)/share
BINDIR            := $(BASEDIR)/bin
MANDIR            := $(SHAREDIR)/man
NLSDIR            := $(SHAREDIR)/locale
GNUSTEPDIR        := $(SHAREDIR)/lib/GNUstep/System
WMSHAREDIR        := $(SHAREDIR)/WindowMaker
PIXMAPDIR         := $(INCLUDEDIR)/X11/pixmaps
WPREFSAPPDIR      := $(GNUSTEPDIR)/Applications/WPrefs.app/WPrefs

COMMON_OPTIONS    := --prefix=$(BASEDIR)              \
                     --mandir=$(MANDIR)               \
                     --includedir=$(INCLUDEDIR)       \
                     --sysconfdir=$(CONFDIR)          \
                     --datadir=$(SHAREDIR)            \
                     --with-nlsdir=$(NLSDIR)          \
                     --with-pixmapdir=$(PIXMAPDIR)    \
                     --with-gnustepdir=$(GNUSTEPDIR)

%:
	dh $@ --parallel --with autotools-dev 

override_dh_auto_configure:
	./autogen.sh
	LINGUAS="$(LINGUAS)" ./configure $(COMMON_OPTIONS) \
	$(WMAKER_OPTIONS) CFLAGS="$(CFLAGS)"

override_dh_installmenu:
	dh_installmenu -a --noscripts

override_dh_install:
	# Fix perms for /usr/share/WindowMaker/*sh before install them
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/autostart.sh
	chmod +x $(DEBIAN_TMP)$(WMSHAREDIR)/exitscript.sh

	# Readmes - Copy+rename before install
	# We use the root of the temporal directory debian/tmp
	cp po/README $(DEBIAN_TMP)/README.po
	cp README.definable-cursor $(DEBIAN_TMP)/README.definable-cursor
	cp WPrefs.app/README $(DEBIAN_TMP)/README.WPrefs
	cp WPrefs.app/po/README $(DEBIAN_TMP)/README.WPrefs.po

	# Now, change the #wmdatadir# string to $(WMSHAREDIR)
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' `find $(DEBIAN_TMP)/$(WMSHAREDIR) -name plmenu.*`
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' $(DEBIAN_TMP)$(WMSHAREDIR)/wmmacros
	perl -pi -e 's:#wmdatadir#:$(WMSHAREDIR):' $(DEBIAN_TMP)$(WMSHAREDIR)/plmenu

	# Install files
	dh_install

	# Fix the get-*-flags scripts
	perl -pi -e '/^WCFLAGS/ && s:=.*:="-I/usr/X11R6/include":; /^WLFLAGS/ && s:=.*:="-L/usr/X11R6/lib":;' `find $(LIBWRASTERDEV_TMP) -name get-*-flags`
	perl -pi -e '/^WCFLAGS/ && s:=.*:="-I/usr/X11R6/include":; /^WLFLAGS/ && s:=.*:="-L/usr/X11R6/lib":;' `find $(LIBWINGSDEV_TMP) -name get-*-flags`
	perl -pi -e '/^WLIBS/ && s:=.*:="-lwraster":' `find $(LIBWRASTERDEV_TMP) -name get-wraster-flags`
	perl -pi -e '/^WLIBS/ && s:=.*:="-lWINGs -lwraster -lXft":' `find $(LIBWINGSDEV_TMP) -name get-wings-flags`
	perl -pi -e '/^WLIBS/ && s:=.*:="-lWUtil -lX11":' `find $(LIBWINGSDEV_TMP) -name get-wutil-flags`

override_dh_strip:
	dh_strip --dbg-package=wmaker-dbg

## wmaker 0.95.3

=== debian/changelog ===
wmaker (0.95.3-2) unstable; urgency=low

  * Hardened. debian/rules changed.
  * DM-Upload-Allowed set.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 10 Jun 2012 23:35:31 +0200

wmaker (0.95.3-1) unstable; urgency=low

  * New upstream release 0.95.3
    * Removed debian/clean file. Upstream removes now the files.
  * Bumped to standard version 3.9.3
  * Important!: Removed symbol "W_DraggingInfo" in libwutil2 and 
    libwings2, because the struct W_DraggingInfo is now declared
    as "typedef", therefore the struct is not included.
    This change is included in upstream, see line 126 of the file
    WINGs/WINGs/WINGsP.h
  * Patch 53_Debian_WMState.diff changed, because the WMState file
    in upstream is now different. Now, the dock launch WPrefs.
  * Removed /etc/X11/WindowMaker files.
    * Removed from debian/wmaker-common.dirs
    * Removed (duplicated) files in debian/wmaker-common.install
    * New path for menu.hook: /usr/share/WindowMaker
      * Changed in the menu-method files (wmaker and wmappearance.
    * Removed menu.posthook and menu.prehook.
  * Changed the menu behaviour. Applications/* contents moved to
    the root menu.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Thu, 23 May 2012 21:32:22 +0200

wmaker (0.95.2-1) unstable; urgency=low

  * New upstream version 0.95.2 [Closes: #69669, #486542, #270877]
    [Closes: #283240, #48550, #297019, #108432, #72917]

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Tue, 14 Feb 2012 23:58:45 +0100

wmaker (0.95.1+20120131-1) unstable; urgency=low

  * New upstream version 0.95.1 [Closes: #304480]
  * Patch debian/52_architectures.diff is now included in upstream.
    - The patch file was deleted.
  * The WINGs's file proplist-compat.h is removed in upstream.
    - Removed the line in debian/libwings-dev.install
  * Updated debian/libwutil2.symbols with new symbol.

 -- Rodolfo García Peñas (kix) <kix@kix.es>  Sun, 29 Jan 2012 16:16:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Rodolfo García Peñas (kix) <kix@kix.es>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), automake (>= 1:1.11), gettext,
  libfontconfig1-dev, libjpeg-dev, libpng-dev, libsm-dev, libtiff4-dev,
  libtool, libgif-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,9 @@
 #!/usr/bin/make -f
 # export DH_VERBOSE=1
-
-CFLAGS = -g -Wall -DGLOBAL_DEFAULTS_SUBDIR="\\\"GNUstep/Defaults\\\""
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -DDEBUG
-endif
+export CFLAGS = `dpkg-buildflags --get CFLAGS`
+export DEB_CFLAGS_MAINT_APPEND += -Wall -DGLOBAL_DEFAULTS_SUBDIR="\\\"GNUstep/Defaults\\\""
+export LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+export CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -65,7 +57,7 @@
 override_dh_auto_configure:
 	./autogen.sh
 	LINGUAS="$(LINGUAS)" ./configure $(COMMON_OPTIONS) \
-	$(WMAKER_OPTIONS) CFLAGS="$(CFLAGS)"
+	$(WMAKER_OPTIONS) $(shell dpkg-buildflags --export=configure)
 
 override_dh_installmenu:
 	dh_installmenu -a --noscripts
